---
title: Get Transaction Status By Date
slug: api/get-transaction-status-by-date
docTags: 
createdAt: 2025-07-21T23:55:15.400Z
---

{
  "id": "j2Cm7WRnha5VqKJgqbUKn",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.mpay.com.au/financial/v2/status/{startDate}/{endDate}",
    "servers": [
      {
        "url": "https://api.mpay.com.au/financial/v2/status/{startDate}/{endDate}",
        "description": "Production URL"
      },
      {
        "url": "https://api.m-pay.com.au/financial/v2/status/{startDate}/{endDate}",
        "description": "Sandbox URL"
      }
    ],
    "name": "Get Transaction Status By Date",
    "description": "This API returns the status of the specific date of the transactions. This is important because a Direct Debit transaction could be dishonoured up to 3 days after the transaction was executed. We recommend subscribing to a webhook to notify you when an dishonour transaction is made.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "startDate",
          "type": "string",
          "description": "<p>This is the startDate. Date format should be 'yyyy-MM-dd'</p>"
        },
        {
          "kind": "required",
          "name": "endDate",
          "type": "string",
          "description": "<p>This is the endDate. Date format should be 'yyyy-MM-dd'</p>"
        }
      ],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "basicAuth",
          "name": "basicAuth",
          "kind": "optional",
          "type": "http",
          "scheme": "basic"
        }
      ]
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "successful validation",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "gatewayTransactionStatusResponse_v2",
            "schema": [
              {
                "name": "statuses",
                "kind": "optional",
                "type": "array",
                "description": "",
                "modelRef": "#/components/schemas/gatewayTransactionStatusItem",
                "customType": "gatewayTransactionStatusItem[]",
                "schema": [
                  {
                    "name": "uniqueReference",
                    "kind": "optional",
                    "type": "string",
                    "description": "Unique reference for the transaction.",
                    "example": ""
                  },
                  {
                    "name": "dishonouredDate",
                    "kind": "optional",
                    "type": "string",
                    "description": "The date on which the transaction was dishonoured, if applicable.",
                    "example": ""
                  },
                  {
                    "name": "statusDescription",
                    "kind": "optional",
                    "type": "string",
                    "description": "Plain english description of the status.",
                    "example": ""
                  },
                  {
                    "name": "waitingOnClearedFundsDate",
                    "kind": "optional",
                    "type": "string",
                    "description": "Date funds are expected to clear.",
                    "example": ""
                  },
                  {
                    "name": "fundsClearedDate",
                    "kind": "optional",
                    "type": "string",
                    "description": "Date funds cleared.",
                    "example": ""
                  },
                  {
                    "name": "transactionStatus",
                    "kind": "optional",
                    "type": "string",
                    "description": "The current status of the transaction.",
                    "example": ""
                  },
                  {
                    "name": "bulkDirectDebits",
                    "kind": "optional",
                    "type": "array",
                    "description": "",
                    "modelRef": "#/components/schemas/bulkDirectDebitStatusClass",
                    "customType": "bulkDirectDebitStatusClass[]",
                    "schema": [
                      {
                        "name": "dishonouredDate",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": ""
                      },
                      {
                        "name": "bsb",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": ""
                      },
                      {
                        "name": "accountNumber",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": ""
                      },
                      {
                        "name": "lodgementReference",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": ""
                      },
                      {
                        "name": "index",
                        "kind": "optional",
                        "type": "integer<int32>",
                        "description": "",
                        "example": 0
                      },
                      {
                        "name": "expectedClearanceDateForFunds",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": ""
                      },
                      {
                        "name": "status",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": ""
                      },
                      {
                        "name": "amount",
                        "kind": "optional",
                        "type": "number<decimal>",
                        "description": "",
                        "example": ""
                      }
                    ]
                  },
                  {
                    "name": "completedDate",
                    "kind": "optional",
                    "type": "string",
                    "description": "Date transaction completed.",
                    "example": ""
                  }
                ]
              },
              {
                "name": "status",
                "kind": "optional",
                "type": "string",
                "description": "This is the status of the request. A code of 'Ok' indicates no errors.",
                "example": ""
              },
              {
                "name": "statusDescription",
                "kind": "optional",
                "type": "string",
                "description": "This is a description of the status. If an 'Ok' status is returned, then this will be 'Operation completed successfully'.",
                "example": ""
              },
              {
                "name": "durationMs",
                "kind": "optional",
                "type": "integer<int64>",
                "description": "This value represents the total time in milliseconds that the Platform took to process the request.",
                "example": 0
              }
            ],
            "modelRef": "#/components/schemas/gatewayTransactionStatusResponse_v2",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "IbSGIO716ycWMCxS2E-Lk",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.mpay.com.au/financial/v2/status/{startDate}/{endDate} \\\n     --header 'accept: application/json'"
        },
        {
          "id": "U-H9zXkbtZTuEy7hZJvlF",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.mpay.com.au/financial/v2/status/{startDate}/{endDate}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "2eKprgWg_cttd9Ow-l1gD",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.mpay.com.au/financial/v2/status/{startDate}/{endDate}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "JWTwGOGWe9ya7I8KIyhcT",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.mpay.com.au/financial/v2/status/{startDate}/{endDate}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        },
        {
          "id": "6uFO_v4oCz8Tt9bBNt9sd",
          "language": "php",
          "label": "PHP",
          "code": "<?php\n\n$curl = curl_init();\n\ncurl_setopt_array($curl, array(\n   CURLOPT_URL => 'https://api.mpay.com.au/financial/v2/status/{startDate}/{endDate}',\n   CURLOPT_RETURNTRANSFER => true,\n   CURLOPT_ENCODING => '',\n   CURLOPT_MAXREDIRS => 10,\n   CURLOPT_TIMEOUT => 0,\n   CURLOPT_FOLLOWLOCATION => true,\n   CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\n   CURLOPT_CUSTOMREQUEST => 'GET',\n   CURLOPT_HTTPHEADER => array(\n      'accept: application/json',\n      'content-type: application/json'\n   ),\n));\n\n$response = curl_exec($curl);\n\ncurl_close($curl);\necho $response;\n"
        }
      ],
      "selectedLanguageId": "IbSGIO716ycWMCxS2E-Lk"
    },
    "results": {
      "languages": [
        {
          "id": "hRNybLTif11WCLYM_sXb-",
          "language": "200",
          "code": "// successful validation\n{\n  \"statuses\": [\n    {\n      \"uniqueReference\": \"\",\n      \"dishonouredDate\": \"\",\n      \"statusDescription\": \"\",\n      \"waitingOnClearedFundsDate\": \"\",\n      \"fundsClearedDate\": \"\",\n      \"transactionStatus\": \"\",\n      \"bulkDirectDebits\": [\n        {\n          \"dishonouredDate\": \"\",\n          \"bsb\": \"\",\n          \"accountNumber\": \"\",\n          \"lodgementReference\": \"\",\n          \"index\": \"\",\n          \"expectedClearanceDateForFunds\": \"\",\n          \"status\": \"\",\n          \"amount\": \"\"\n        }\n      ],\n      \"completedDate\": \"\"\n    }\n  ],\n  \"status\": \"\",\n  \"statusDescription\": \"\",\n  \"durationMs\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "hRNybLTif11WCLYM_sXb-"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}